<?xml version="1.0" standalone="yes"?>
<xs:schema version="1.0"
	targetNamespace="http://impl.service.qrws.ce.siat.sat.gob.mx/siatbus/matce"
	xmlns:tns="http://impl.service.qrws.ce.siat.sat.gob.mx/siatbus/matce"
	xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:include schemaLocation="DodaComplexTypeESB.xsd" />
	<xs:element name="consultaEspecificaDoda" type="tns:consultaEspecificaDoda" />
	<xs:element name="consultaEspecificaDodaResponse" type="tns:consultaEspecificaDodaResponse" />
	<xs:element name="consultaEstatus" type="tns:consultaEstatus" />
	<xs:element name="consultaEstatusResponse" type="tns:consultaEstatusResponse" />
	<xs:element name="consultaGeneralDoda" type="tns:consultaGeneralDoda" />
	<xs:element name="consultaGeneralDodaResponse" type="tns:consultaGeneralDodaResponse" />
	<xs:element name="eliminarDoda" type="tns:eliminarDoda" />
	<xs:element name="eliminarDodaResponse" type="tns:eliminarDodaResponse" />
	<xs:element name="modificarDoda" type="tns:modificarDoda" />
	<xs:element name="modificarDodaResponse" type="tns:modificarDodaResponse" />
	<xs:element name="altaDoda" type="tns:altaDoda" />
	<xs:element name="altaDodaResponse" type="tns:altaDodaResponse" />
	<xs:element name="faultDoda" nillable="true" type="tns:faultDoda" />
	<xs:complexType name="consultaEspecificaDoda">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" / > <xs:element 
				name="datosDoda" type="tns:datosDodaConsultaEsp" / -->
			<xs:element name="dodas" type="tns:dodasConsultaEspecifica"
				maxOccurs="1" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="consultaEspecificaDodaResponse">
		<xs:sequence>
			<!--xs:element name="return" type="tns:resultadoConsultaEsp" minOccurs="0" 
				/ -->
			<xs:element name="doda" type="tns:dodaConsultaEspecificaResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="consultaGeneralDoda">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" /> <xs:element 
				name="datosDoda" type="tns:datosDodaConsultaGen" / -->
			<xs:element name="dodas" type="tns:dodasConsultaGeneral"
				maxOccurs="1" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="consultaGeneralDodaResponse">
		<xs:sequence>
			<!--xs:element name="return" type="tns:resultadoConsultaGen" minOccurs="0" 
				maxOccurs="unbounded" / -->
			<xs:element name="doda" type="tns:dodaConsultaGeneralResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="modificarDoda">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" / > <xs:element 
				name="datosDoda" type="tns:datosDodaModifica" / -->
			<xs:element name="dodas" type="tns:dodasModificar"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="modificarDodaResponse">
		<xs:sequence>
			<!--xs:element name="return" type="tns:respuestaAC" minOccurs="0" / -->
			<xs:element name="doda" type="tns:dodaModificarResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="consultaEstatus">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" / > <xs:element 
				name="datosDoda" type="tns:datosDodaConsultaEstatus" / -->
			<xs:element name="dodas" type="tns:dodasConsultaEstatus"
				maxOccurs="1" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="consultaEstatusResponse">
		<xs:sequence>
			<!--xs:element name="return" type="tns:resultadoEstatus" minOccurs="0" 
				/ -->
			<xs:element name="doda" type="tns:dodaConsultaEstatusResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="altaDoda">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" / > <xs:element 
				name="datosDoda" type="tns:datosDodaRegistra" minOccurs="0" / -->
			<xs:element name="dodas" type="tns:dodasAlta" maxOccurs="1"
				minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="altaDodaResponse">
		<xs:sequence>
			<!--xs:element name="return" type="tns:respuestaAC" minOccurs="0" / -->
			<xs:element name="doda" type="tns:dodaAltaResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="eliminarDoda">
		<xs:sequence>
			<!-- xs:element name="datosUsuario" type="tns:datosUsuario" / > <xs:element 
				name="datosDoda" type="tns:datosDodaEliminar" / -->
			<xs:element name="dodas" type="tns:dodasEliminar"
				maxOccurs="1" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>
	<!--xs:complexType name="eliminarDodaResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaEliminarResponse"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType-->
	
	<xs:complexType name="eliminarDodaResponse">
		<xs:sequence>
			<xs:element name="dodas" type="tns:dodasResEliminar"
				minOccurs="0" />
		</xs:sequence>
	</xs:complexType>
	

	<xs:complexType name="dodasAlta">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credenciales"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaRegistra"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasConsultaEspecifica">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credencialesConsulta"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaConsultaEsp"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasConsultaEstatus">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credencialesConsulta"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaConsultaEstatus"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasConsultaGeneral">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credencialesConsulta"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaConsultaGen"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasEliminar">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credenciales"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaEliminar"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasModificar">
		<xs:sequence>
			<xs:element name="credenciales" type="tns:credenciales"
				minOccurs="1" />
			<xs:element name="doda" type="tns:datosDodaModifica"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasAltaResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaAltaResponse"
				maxOccurs="unbounded" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodaAltaResponse">
		<xs:sequence>
			<xs:element name="respuesta" type="tns:respuestaAC"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<!--xs:complexType name="dodasModificarResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaModificarResponse"
				maxOccurs="unbounded" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType-->

	<xs:complexType name="dodaModificarResponse">
		<xs:sequence>
			<xs:element name="respuesta" type="tns:respuestaAC"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<!-- xs:complexType name="dodasEliminarResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaEliminarResponse"
				maxOccurs="unbounded" minOccurs="1"></xs:element>
		</xs:sequence>
	</xs:complexType-->

	<!--xs:complexType name="dodaEliminarResponse">
		<xs:sequence>
			<xs:element name="resultado" type="tns:respuestaAC"
				maxOccurs="1" minOccurs="0">
			</xs:element>
		</xs:sequence>
	</xs:complexType-->

	<xs:complexType name="dodasConsultaGeneralResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaConsultaGeneralResponse"
				maxOccurs="unbounded" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodaConsultaGeneralResponse">
		<xs:sequence>
			<xs:element name="respuestas" type="tns:resultadoConsultaGen"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasConsultaEspecificaResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaConsultaEspecificaResponse"
				maxOccurs="unbounded" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodaConsultaEspecificaResponse">
		<xs:sequence>
			<xs:element name="respuesta" type="tns:respuestaConsultaEspecifica"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodasConsultaEstatusResponse">
		<xs:sequence>
			<xs:element name="doda" type="tns:dodaConsultaEstatusResponse"
				maxOccurs="unbounded" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="dodaConsultaEstatusResponse">
		<xs:sequence>
			<xs:element name="respuesta" type="tns:respuestaCorrectaConsultaEstatus"
				maxOccurs="1" minOccurs="0"></xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>

